
#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>

#include "config.h"
#include "tr2.h"
#include "opengl.h"

static char TRueViewVersionInfo[] = "TRueView Version";
char TRueViewVersion[]      = "1.0";
static char CopyrightInfo[] = "Released to the Public Domain (March, 2000)";

int main(int argc, char **argv)
{
   TR2_Level *Level;

   printf("%s %s\n", TRueViewVersionInfo, TRueViewVersion);
   printf("%s\n\n", CopyrightInfo);

   opengl_init(&argc, argv);
   if (argc > 1) {
      if ((Level = ReadTR2level(argv[1])) != NULL) {
         opengl_main(Level);
         FreeTR2level(Level); // not strictly necessary here, but it's nice to have...
         }
      }

   return(0);  // I used return instead of exit() just to keep my compiler happy...
}
